Bug 889624 - [abrt] systemd-195-10.fc18: log_assert: Process /usr/bin/systemctl was killed by signal 6 (SIGABRT)
Summary: [abrt] systemd-195-10.fc18: log_assert: Process /usr/bin/systemctl was killed...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e7c78e60210ad472cd00684b8f4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-21 23:35 UTC by silicis
Modified: 2013-02-26 02:44 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-26 02:44:07 UTC


Attachments (Terms of Use)
File: backtrace (6.92 KB, text/plain)
2012-12-21 23:35 UTC, silicis
no flags Details
File: cgroup (129 bytes, text/plain)
2012-12-21 23:35 UTC, silicis
no flags Details
File: core_backtrace (569 bytes, text/plain)
2012-12-21 23:35 UTC, silicis
no flags Details
File: dso_list (1.16 KB, text/plain)
2012-12-21 23:35 UTC, silicis
no flags Details
File: environ (3.28 KB, text/plain)
2012-12-21 23:35 UTC, silicis
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-21 23:35 UTC, silicis
no flags Details
File: maps (5.92 KB, text/plain)
2012-12-21 23:35 UTC, silicis
no flags Details
File: open_fds (105 bytes, text/plain)
2012-12-21 23:35 UTC, silicis
no flags Details
File: proc_pid_status (910 bytes, text/plain)
2012-12-21 23:35 UTC, silicis
no flags Details
File: smolt_data (2.27 KB, text/plain)
2012-12-21 23:35 UTC, silicis
no flags Details
File: var_log_messages (16.87 KB, text/plain)
2012-12-21 23:35 UTC, silicis
no flags Details

Description silicis 2012-12-21 23:35:26 UTC
Version-Release number of selected component:
systemd-195-10.fc18

Additional info:
backtrace_rating: 4
cmdline:        reboot
crash_function: log_assert
executable:     /usr/bin/systemctl
kernel:         3.6.11-3.fc18.x86_64
remote_result:  NOTFOUND
uid:            500

Truncated backtrace:
Thread no. 1 (5 frames)
 #2 log_assert at src/shared/log.c:636
 #3 log_assert_failed at src/shared/log.c:641
 #4 bus_method_call_with_reply at src/shared/dbus-common.c:1257
 #5 reboot_with_logind at src/systemctl/systemctl.c:1771
 #6 halt_main at src/systemctl/systemctl.c:5146

Comment 1 silicis 2012-12-21 23:35:29 UTC
Created attachment 667504 [details]
File: backtrace

Comment 2 silicis 2012-12-21 23:35:30 UTC
Created attachment 667505 [details]
File: cgroup

Comment 3 silicis 2012-12-21 23:35:32 UTC
Created attachment 667506 [details]
File: core_backtrace

Comment 4 silicis 2012-12-21 23:35:33 UTC
Created attachment 667507 [details]
File: dso_list

Comment 5 silicis 2012-12-21 23:35:34 UTC
Created attachment 667508 [details]
File: environ

Comment 6 silicis 2012-12-21 23:35:36 UTC
Created attachment 667509 [details]
File: limits

Comment 7 silicis 2012-12-21 23:35:37 UTC
Created attachment 667510 [details]
File: maps

Comment 8 silicis 2012-12-21 23:35:39 UTC
Created attachment 667511 [details]
File: open_fds

Comment 9 silicis 2012-12-21 23:35:40 UTC
Created attachment 667512 [details]
File: proc_pid_status

Comment 10 silicis 2012-12-21 23:35:41 UTC
Created attachment 667513 [details]
File: smolt_data

Comment 11 silicis 2012-12-21 23:35:43 UTC
Created attachment 667514 [details]
File: var_log_messages

Comment 12 Lennart Poettering 2013-01-11 23:08:47 UTC
Fixed in git

Comment 13 Fedora Update System 2013-01-14 14:08:43 UTC
systemd-197-1.fc18.1 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-0655/systemd-197-1.fc18.1

Comment 14 Michal Schmidt 2013-01-18 14:13:25 UTC
There was some confusion. The fix was not yet pushed to the upstream repository when I did the above package update. Moving this BZ back to POST. It will be fixed in a future update.

Comment 15 Fedora Update System 2013-01-28 19:13:03 UTC
systemd-197-1.fc18.2 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/systemd-197-1.fc18.2

Comment 16 Fedora Update System 2013-01-30 00:34:26 UTC
Package systemd-197-1.fc18.2:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-197-1.fc18.2'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1590/systemd-197-1.fc18.2
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2013-02-23 01:02:14 UTC
Package initscripts-9.42.2-1.fc18, systemd-197-1.fc18.2:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing initscripts-9.42.2-1.fc18 systemd-197-1.fc18.2'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1590/initscripts-9.42.2-1.fc18,systemd-197-1.fc18.2
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2013-02-26 02:44:10 UTC
initscripts-9.42.2-1.fc18, systemd-197-1.fc18.2 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.